import { html as h } from "lit";
import { property as n } from "lit/decorators.js";
import { PieIconComponent as a } from "./PieIconComponent.js";
import { safeCustomElement as d } from "@justeattakeaway/pie-webc-core";
var f = Object.defineProperty, v = Object.getOwnPropertyDescriptor, l = (c, t, s, r) => {
  for (var e = r > 1 ? void 0 : r ? v(t, s) : t, o = c.length - 1, p; o >= 0; o--)
    (p = c[o]) && (e = (r ? p(t, s, e) : p(e)) || e);
  return r && e && f(t, s, e), e;
};
let i = class extends a {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--gridViewFilled", this.class = "c-pieIcon c-pieIcon--gridViewFilled", this.name = "IconGridViewFilled";
  }
  render() {
    return h`<svg width="${this._svgWidth}" height="${this._svgHeight}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--gridViewFilled"><path d="M2.094 6.906h4.812V2.094H2.094v4.812Z"></path><path d="M9.094 6.906h4.812V2.094H9.094v4.812Z"></path><path d="M2.094 13.906h4.812V9.094H2.094v4.812Z"></path><path d="M9.094 13.906h4.812V9.094H9.094v4.812Z"></path></svg>`;
  }
};
l([
  n({ type: String, reflect: !0 })
], i.prototype, "size", 2);
l([
  n({ type: String, reflect: !0 })
], i.prototype, "class", 2);
i = l([
  d("icon-grid-view-filled")
], i);
export {
  i as IconGridViewFilled
};
